## AgsRecallContainer

AgsRecallContainer — Container to group recalls

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_RECALL_CONTAINER_GET_OBJ_MUTEX()
gboolean | ags_recall_container_test_flags ()
void | ags_recall_container_set_flags ()
void | ags_recall_container_unset_flags ()
void | ags_recall_container_add ()
void | ags_recall_container_remove ()
AgsRecall * | ags_recall_container_get_recall_audio ()
GList * | ags_recall_container_get_recall_audio_run ()
GList * | ags_recall_container_get_recall_channel ()
GList * | ags_recall_container_get_recall_channel_run ()
GList * | ags_recall_container_find ()
AgsRecallContainer * | ags_recall_container_new ()

## Properties

AgsRecallAudio * | recall-audio | Read / Write
gpointer | recall-audio-run | Read / Write
GType * | recall-audio-run-type | Read / Write
GType * | recall-audio-type | Read / Write
gpointer | recall-channel | Read / Write
gpointer | recall-channel-run | Read / Write
GType * | recall-channel-run-type | Read / Write
GType * | recall-channel-type | Read / Write

## Types and Values

enum | AgsRecallContainerFlags
enum | AgsRecallContainerFindFlags

## Object Hierarchy

        GFlags
        ╰── AgsRecallContainerFlags
        GObject
        ╰── AgsRecallContainer

## Includes

    #include <ags/audio/ags_recall_container.h>

## Description

AgsRecallContainer groups recalls of different context.

## Functions

### AGS_RECALL_CONTAINER_GET_OBJ_MUTEX()

    #define AGS_RECALL_CONTAINER_GET_OBJ_MUTEX(obj) (&(((AgsRecallContainer *) obj)->obj_mutex))

### ags_recall_container_test_flags ()

    gboolean
    ags_recall_container_test_flags (AgsRecallContainer *recall_container,
                                     guint flags);

Test `flags` to be set on `recall_container` .

#### Parameters

recall_container | the AgsRecallContainer |
flags | the flags |

#### Returns

`TRUE` if flags are set, else `FALSE`

Since: 3.0.0

### ags_recall_container_set_flags ()

    void
    ags_recall_container_set_flags (AgsRecallContainer *recall_container,
                                    guint flags);

Set flags.

#### Parameters

recall_container | the AgsRecallContainer |
flags | the flags |

Since: 3.0.0

### ags_recall_container_unset_flags ()

    void
    ags_recall_container_unset_flags (AgsRecallContainer *recall_container,
                                      guint flags);

Unset flags.

#### Parameters

recall_container | the AgsRecallContainer |
flags | the flags |

Since: 3.0.0

### ags_recall_container_add ()

    void
    ags_recall_container_add (AgsRecallContainer *recall_container,
                              AgsRecall *recall);

Add `recall` to `recall_container` .

#### Parameters

recall_container | the AgsRecallContainer |
recall | the AgsRecall |

Since: 3.0.0

### ags_recall_container_remove ()

    void
    ags_recall_container_remove (AgsRecallContainer *recall_container,
                                 AgsRecall *recall);

Remove `recall` from `recall_container` .

#### Parameters

recall_container | the AgsRecallContainer |
recall | the AgsRecall |

Since: 3.0.0

### ags_recall_container_get_recall_audio ()

    AgsRecall *
    ags_recall_container_get_recall_audio (AgsRecallContainer *recall_container);

Retrieve recall audio of container.

#### Parameters

recall_container | the AgsRecallContainer |

#### Returns

the AgsRecallAudio.

[transfer none]

Since: 3.0.0

### ags_recall_container_get_recall_audio_run ()

    GList *
    ags_recall_container_get_recall_audio_run
                                   (AgsRecallContainer *recall_container);

Retrieve recall audio run of container.

#### Parameters

recall_container | the AgsRecallContainer |

#### Returns

the AgsRecallAudioRun as list.

[element-type AgsAudio.RecallAudioRun][transfer none]

Since: 3.0.0

### ags_recall_container_get_recall_channel ()

    GList *
    ags_recall_container_get_recall_channel
                                   (AgsRecallContainer *recall_container);

Retrieve the recall channel of container.

#### Parameters

recall_container | the AgsRecallContainer |

#### Returns

the AgsRecallChannel.

[element-type AgsAudio.RecallChannel][transfer none]

Since: 3.0.0

### ags_recall_container_get_recall_channel_run ()

    GList *
    ags_recall_container_get_recall_channel_run
                                   (AgsRecallContainer *recall_container);

Retrieve the recall channel run of container.

#### Parameters

recall_container | the AgsRecallContainer |

#### Returns

the AgsRecall.

[element-type AgsAudio.RecallChannelRun][transfer none]

Since: 3.0.0

### ags_recall_container_find ()

    GList *
    ags_recall_container_find (GList *recall_container,
                               GType type,
                               AgsRecallContainerFindFlags find_flags,
                               AgsRecallID *recall_id);

Finds AgsRecall for appropriate search criteria.

#### Parameters

recall_container | the GList containing AgsRecallContainer. | [element-type AgsAudio.RecallContainer][transfer none]
type | recall type |
find_flags | search mask |
recall_id | an AgsRecallID |

#### Returns

the matching recalls.

[element-type AgsAudio.Recall][transfer none]

Since: 3.0.0

### ags_recall_container_new ()

    AgsRecallContainer *
    ags_recall_container_new ();

Create a new instance of AgsRecallContainer

#### Returns

the new AgsRecallContainer

Since: 3.0.0

## Types and Values

### enum AgsRecallContainerFlags

Enum values to control the behavior or indicate internal state of AgsRecallContainer by enable/disable as flags.

#### Members

AGS_RECALL_CONTAINER_PLAY | bound to play context |

### enum AgsRecallContainerFindFlags

Enum values to specify find criteria.

#### Members

AGS_RECALL_CONTAINER_FIND_TYPE | find type |
AGS_RECALL_CONTAINER_FIND_TEMPLATE | find template |
AGS_RECALL_CONTAINER_FIND_RECALL_ID | find recall id |

## Property Details

### The `“recall-audio”` property

      “recall-audio”             AgsRecallAudio *

The associated recall within audio context.

Owner: AgsRecallContainer

Flags: Read / Write

Since: 3.0.0

### The `“recall-audio-run”` property

      “recall-audio-run”         gpointer

The associated recall within dynamic audio context.

[transfer full]

Owner: AgsRecallContainer

Flags: Read / Write

Since: 3.0.0

### The `“recall-audio-run-type”` property

      “recall-audio-run-type”    GType *

The associated recall type within dynamic audio context.

Owner: AgsRecallContainer

Flags: Read / Write

Allowed values: void

Since: 3.0.0

### The `“recall-audio-type”` property

      “recall-audio-type”        GType *

The associated recall type within audio context.

Owner: AgsRecallContainer

Flags: Read / Write

Allowed values: void

Since: 3.0.0

### The `“recall-channel”` property

      “recall-channel”           gpointer

The associated recall within channel context.

[transfer full]

Owner: AgsRecallContainer

Flags: Read / Write

Since: 3.0.0

### The `“recall-channel-run”` property

      “recall-channel-run”       gpointer

The associated recall within dynamic channel context.

[transfer full]

Owner: AgsRecallContainer

Flags: Read / Write

Since: 3.0.0

### The `“recall-channel-run-type”` property

      “recall-channel-run-type”  GType *

The associated recall type within dynamic channel context.

Owner: AgsRecallContainer

Flags: Read / Write

Allowed values: void

Since: 3.0.0

### The `“recall-channel-type”` property

      “recall-channel-type”      GType *

The associated recall type within channel context.

Owner: AgsRecallContainer

Flags: Read / Write

Allowed values: void

Since: 3.0.0